## panel.dgp.n01.r
## Normal
panel.dgp.n01 = function(n.size, t.size,  v.date, loc.size)
{
  ## size
  nt.size = n.size * t.size
  
  ## regressors
  x = rchisq(nt.size, df = 3, ncp=0) / 3

  ## error term
  y = (1 + x) * rnorm(nt.size, mean = 0, sd = 1)
  y = y + 1 + x

  ## change
  vec.change = loc.size * x
  vec.change[1:(v.date*n.size)] = 0 
  
  ## dgp
  y = y + vec.change

  list(x = x, y = y)
}
